# **BIMBMAAN**: A Shaktiman to process high quality images for research publication

BIMBMAAN is a powerful tool designed to assist researchers in dealing with image resizing and conversion challenges encountered during manuscript preparation for research publication. Its primary goal is to simplify the process of handling high-quality images, ensuring they meet the standards required for publication.

# Details and Descriptions

## Features
* Efficient image resizing to desired dimensions (e.g., 600 DPI, 1200 DPI).
* Seamless conversion between different image formats (e.g., PNG, JPEG, TIFF).
* Batch processing capabilities for handling multiple images simultaneously.
* Preservation of image quality and resolution to meet publication requirements.
* Easy to install and operate and works with single commands without requiring any customisation

## How to Use
* Install BIMBMAAN using `pip install bimbmaan`.
* Navigate to your images directory where your images are ready to process.
* Use command `bimbkar` or `bimbman` for batch processing.
* Customised examples:
    - `bimbkar -d 72 600 1200 -e jpg tiff`

## Benefits
* Saves time and effort by automating image processing tasks.
* Ensures compliance with publication guidelines regarding image quality and resolution.
* Reduces the risk of errors and inconsistencies in image conversion and dimensions of the images.

# Feedback and Support
We welcome any feedback or suggestions for improving BIMBMAAN. Please report issues through 
[GitHub issues](https://github.com/TheBiomics/bimbmaan/issues).
